Subject: Re: bug#64340: libsigrokdecode: check phase fails
From: 宋文武 <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Aug 2023 10:23:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> writes:

> I am trying to install pulseview, but libsigrokdecode fails to build,
> dying at the check phase. It appears to be a dependency-related issue
> - test programs cannot build do to undefined functions.
>
> ```
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyList_Insert'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyModule_AddObject'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PySys_GetObject'
> <<<snip>>>
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyUnicode_AsUTF8String'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `Py_IsInitialized'
> ld: ./.libs/libsigrokdecode.so: undefined reference to `PyDict_New'
> collect2: error: ld returned 1 exit status
> make[1]: *** [Makefile:751: tests/main] Error 1
> make: *** [Makefile:1353: check-am] Error 2
>
> Test suite failed, dumping logs.
> error: in phase 'check': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("check" "-j"
> "4") exit-status: 2 term-signal: #f stop-signal: #f>
> phase `check' failed after 0.5 seconds
> command "make" "check" "-j" "4" failed with status 2
> ```
>
> Full build log is attached.
>
> I see an open bug at <https://issues.guix.gnu.org/63971>, but I'm not sure if this is the same issue or not.
>

Thanks for the report, and I had fixed it by apply update for
libsigrokdecode from 63971.

Closing!